Skip to main content
GET
/
v1
/
payors
List Payors
curl --request GET \
  --url https://api.example.com/v1/payors \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '[
  "<string>"
]'
{
  "data": [
    {
      "created_at": "2024-01-15T10:30:00Z",
      "id": "550e8400-e29b-41d4-a716-446655440012",
      "insurance_id": "550e8400-e29b-41d4-a716-446655440013",
      "insured_member_id": "ABC123456",
      "patient_id": "550e8400-e29b-41d4-a716-446655440009",
      "payor_responsibility": "primary",
      "plan_funding_type": "fully_funded",
      "provider_network_status": "in_network",
      "relationship_to_subscriber": "self",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "has_more": false,
    "limit": 50,
    "page": 1,
    "total": 1
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer | null
default:1
Required range: x >= 1
limit
integer | null
default:50
Required range: 1 <= x <= 100
q
string | null
patient_id
string | null
insurance_id
string | null
subscriber_id
string | null
payor_responsibility
enum<string> | null

Insurance tier enum matching Prisma

Available options:
primary,
secondary,
tertiary,
quaternary
provider_network_status
enum<string> | null

Provider network status enum matching Prisma @map values

Available options:
unknown,
in_network,
out_of_network
plan_funding_type
enum<string> | null

Plan funding type enum matching Prisma @map values

Available options:
fully_funded,
self_funded,
unknown
created_gte
string | null
created_lte
string | null
coverage_from_gte
string | null
coverage_from_lte
string | null
coverage_to_gte
string | null
coverage_to_lte
string | null

Body

application/json

Response

Successful Response

List response for payors

data
Payor · object[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page